groovy.util

## Interface ObjectGraphBuilder.ClassNameResolver

- All Known Implementing Classes:
    ObjectGraphBuilder.DefaultClassNameResolver, ObjectGraphBuilder.ReflectionClassNameResolver
  Enclosing class:
    ObjectGraphBuilder

      public static interface ObjectGraphBuilder.ClassNameResolver

  Strategy for resolving a classname.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `resolveClassname(java.lang.String classname)`

- - ### Method Detail

    - #### resolveClassname

          java.lang.String resolveClassname(java.lang.String classname)

      Parameters:
        `classname` - the node name as written on the building code